include $(CURDIR)/../Makefile.inc

BRANCH = default
SOURCE = https://bitbucket.org/clarifiednetworks/abusesa/get/$(BRANCH).tar.gz
TARGET = abusesa-$(BRANCH)-$(TIMESTAMP).tar.gz

all:      tarball manifest
tarball:  $(PACKAGES)/$(TARGET)
manifest: $(MANIFESTS)/abusesa.pp

$(PACKAGES)/$(TARGET):
	@umask 022; echo $@; \
	test -f $@ || curl --digest -u $(USER) -o $@ $(SOURCE)

$(MANIFESTS)/abusesa.pp: $(PACKAGES)/$(TARGET)
	@umask 022; echo $@; \
	echo '$$abusesa_package_latest = "$(TARGET)"' > $@
